<?php
    if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
        $lang = '/' . Cubix_I18n::getLang();
    } else {
        $lang = '';
    }
?>

<? if ( $this->user->isAgency() ): ?>
    <div id="private-threads">
    <!--			<th class="date an">--><?//= __('date') ?><!--</th>-->
    <!--			<th class="self-escort an">--><?//= __('self_escort') ?><!--</th>-->
    <!--			<th class="participant an">--><?//= __('member_escort') ?><!--</th>-->
    <!--			<th class="message-body an">--><?//= __('message') ?><!--</th>-->
        <? $i = 1; ?>
        <? foreach($this->threads as $thread): ?>
            <div class="thread-item" class="<?= $i % 2 == 0 ? '' : 'even' ?>">
                <div class="mess-avatar"></div>

                <a rel="external" href="<?=$lang . '/private-messaging/get-thread?id=' . $thread['id'] . '&escort_id=' . $thread['self_escort_id'];?>" class="mess-body">
                    <!--<a class="remove" onClick="return PrivateMessaging.RemoveThread(<?//= $thread['id'] ?>, <?//= $thread['self_escort_id'] ?>)"></a>-->

                    <span class="name"><?= $thread['self_escort_showname'] ?></span>
                    <span class="name"><?= $thread['escort_showname'] ? $thread['escort_showname'] : $thread['member_username'] ?></span>
                    <span class="time"><?= date('d.m.Y', strtotime($thread['last_message_date'])) ?> | <?= date('h:i', strtotime($thread['last_message_date'])) ?></span>
                    <?/* if ( ! $thread['is_blocked'] ): ?>
                        <a class="pm-block" onClick="return PrivateMessaging.BlockThread(<?= $thread['id'] ?>, <?= $thread['self_escort_id'] ?>//)"><?= __('pm_block') ?></a>
                    <? else: ?>
                        <a class="pm-unblock" onClick="return PrivateMessaging.UnBlockThread(<?= $thread['id'] ?>, <?= $thread['self_escort_id'] ?>//)"><?= __('pm_unblock') ?></a>
                    <? endif; ?>

                    <? $id = $thread['escort_id'] ? 'escort-' . $thread['escort_id'] : 'member-' . $thread['user_id']; ?>
                    <? if ( $thread['is_in_contacts'] ): ?>
                        <a class="pm-rm-contact" onClick="return PrivateMessaging.RemoveContact('<?= $id ?>', <?= $thread['self_escort_id'] ?>)"><?= __('pm_remove_contact') ?></a>
                    <? else: ?>
                        <a class="pm-add-contact" onClick="return PrivateMessaging.AddContact('<?= $id ?>', <?= $thread['self_escort_id'] ?>)"><?= __('pm_add_contact') ?></a>
                    <? endif; */?>

                    <span class="message-body agency an"><?= strlen($thread['body']) > 200 ? substr($thread['body'], 0, 200) . '...' : $thread['body'] ?></span>
                        <span style="position: relative; float: left">
                            <a data-id="<?= $thread['id'] ?>" onClick="return PrivateMessaging.ShowThread(this, <?= $thread['self_escort_id'] ?>);"></a>

                            <? if ( $thread['has_unread_message'] && ! $thread['is_blocked'] ): ?>
                                <div class="new"></div>
                            <? endif; ?>
                        </span>
                    <? $i++; ?>
                </a>
                <div class="toClear"></div>
            </div>
        <? endforeach; ?>
    </div>

<? else: ?>
    <div id="private-threads">
		<? $i = 1; ?>
		<? foreach($this->threads as $thread): ?>		
            <div class="thread-item" class="<?= $i % 2 == 0 ? '' : 'even' ?>">
                <div class="mess-avatar"></div>

                <a rel="external" href="<?=$lang . '/private-messaging/get-thread?id=' . $thread['id'];?>" class="mess-body">
                    <!--<a class="remove" onClick="return PrivateMessaging.RemoveThread(<?//= $thread['id'] ?>)"></a>-->

                    <span class="name"><?= $thread['escort_showname'] ? $thread['escort_showname'] : $thread['member_username'] ?></span>
                    <span class="time"><?= date('d.m.Y', strtotime($thread['last_message_date'])) ?> | <?= date('h:i', strtotime($thread['last_message_date'])) ?></span>
                    <?/* if ( ! $thread['is_blocked'] ): ?>
                        <a class="pm-block" onClick="return PrivateMessaging.BlockThread(<?= $thread['id'] ?>)"><?= __('pm_block') ?></a>
                    <? else: ?>
                        <a class="pm-unblock" onClick="return PrivateMessaging.UnBlockThread(<?= $thread['id'] ?>)"><?= __('pm_unblock') ?></a>
                    <? endif; ?>

                    <? $id = $thread['escort_id'] ? 'escort-' . $thread['escort_id'] : 'member-' . $thread['user_id']; ?>
                    <? if ( $thread['is_in_contacts'] ): ?>
                        <a class="pm-rm-contact" onClick="return PrivateMessaging.RemoveContact('<?= $id ?>')"><?= __('pm_remove_contact') ?></a>
                    <? else: ?>
                        <a class="pm-add-contact" onClick="return PrivateMessaging.AddContact('<?= $id ?>')"><?= __('pm_add_contact') ?></a>
                    <? endif; */?>

                    <span class="message-body an"><?= strlen($thread['body']) > 200 ? substr($thread['body'], 0, 200) . '...' : $thread['body'] ?></span>
                        <span style="position: relative; float: left">
                            <span data-id="<?= $thread['id'] ?>" onClick="return PrivateMessaging.ShowThread(this);"></span>

                            <? if ( $thread['has_unread_message'] && ! $thread['is_blocked'] ): ?>
                                <div class="new"></div>
                            <? endif; ?>
                        </span>

                    <? $i++; ?>
                </a>
                <div class="toClear"></div>
            </div>
		<? endforeach; ?>
    </div>
<? endif; ?>

<?php if( !count($this->threads) ): ?>
    <h2 class="no-results"><?=__('no_results_found')?></h2>
<?php endif; ?>

<? $pages = $this->paging($this->count, $this->page, $this->per_page, 5, 2); ?>
<? if (count($pages) > 1): ?>
    <p class="paging-list">
        <?php if($pages != 1): ?>
            <? if ( 1 < $this->page): ?>
                <a rel="external" href="?page=<?= $this->page - 1 ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page - 1 ?> })">&laquo;</a>
            <? endif ?>

            <? foreach ( $pages as $page ): ?>
                <? if ( $this->page == $page ): ?>
                    <span class="active"><?= $page ?></span>
                <? else: ?>
                    <a rel="external" class="p" href="?page=<?= $page ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $page ?> })"><?= $page ?></a>
                <? endif ?>
            <? endforeach; ?>

            <? if ( $this->page < ceil($this->count / $this->per_page) ): ?>
                <a rel="external" class="next" href="?page=<?= $this->page + 1 ?>" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page + 1 ?> })">&raquo;</a>
            <? endif ?>
        <?php endif;?>
    </p>
<? endif; ?>
<div class="clear"></div>